ata_link_online
Prev | Chapter 4. libata Library | Next

## Name

ata_link_online — test whether the given link is online

## Synopsis

`int ata_link_online (` | struct ata_link * | link`)`;

## Arguments

`link`

  ATA link to test

## Description

Test whether `link` is online. Note that this function returns 0 if online status of `link` cannot be obtained, so ata_link_online(link) != !ata_link_offline(link).

## LOCKING

None.

## RETURNS

1 if the port online status is available and online.

Prev | Up | Next
sata_scr_write_flush | Home | ata_link_offline